---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libem01t001.dylib'
relocations:
  - { offsetInCU: 0x68, offset: 0x68, size: 0x8, addend: 0x0, symName: _nsk_jvmti_waitForSync, symObjAddr: 0x6C00, symBinAddr: 0x3220, symSize: 0x270 }
  - { offsetInCU: 0xAD9, offset: 0xAD9, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x7B140, symBinAddr: 0xC2A0, symSize: 0x0 }
  - { offsetInCU: 0xB00, offset: 0xB00, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x7D080, symBinAddr: 0xE1E0, symSize: 0x0 }
  - { offsetInCU: 0xB22, offset: 0xB22, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x7D470, symBinAddr: 0xE5D0, symSize: 0x0 }
  - { offsetInCU: 0xB44, offset: 0xB44, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x7E410, symBinAddr: 0xF570, symSize: 0x0 }
  - { offsetInCU: 0xB59, offset: 0xB59, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x7E420, symBinAddr: 0xF580, symSize: 0x0 }
  - { offsetInCU: 0xBD4, offset: 0xBD4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x7AD00, symBinAddr: 0xC0C0, symSize: 0x0 }
  - { offsetInCU: 0xBDF, offset: 0xBDF, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x7AD04, symBinAddr: 0xC0C4, symSize: 0x0 }
  - { offsetInCU: 0xBEA, offset: 0xBEA, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x7AD08, symBinAddr: 0xC0C8, symSize: 0x0 }
  - { offsetInCU: 0xC2F, offset: 0xC2F, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x7AE60, symBinAddr: 0xC0D0, symSize: 0x0 }
  - { offsetInCU: 0xCA8, offset: 0xCA8, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x7AF18, symBinAddr: 0xC188, symSize: 0x0 }
  - { offsetInCU: 0xCC6, offset: 0xCC6, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x7AF1C, symBinAddr: 0xC18C, symSize: 0x0 }
  - { offsetInCU: 0xCDF, offset: 0xCDF, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x7AF20, symBinAddr: 0xC190, symSize: 0x0 }
  - { offsetInCU: 0xCF8, offset: 0xCF8, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x7AF24, symBinAddr: 0xC194, symSize: 0x0 }
  - { offsetInCU: 0xD11, offset: 0xD11, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x7AF28, symBinAddr: 0xC198, symSize: 0x0 }
  - { offsetInCU: 0x92F8, offset: 0x92F8, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x7AF30, symBinAddr: 0xC1A0, symSize: 0x0 }
  - { offsetInCU: 0x9381, offset: 0x9381, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x7AF40, symBinAddr: 0xC1B0, symSize: 0x0 }
  - { offsetInCU: 0x939A, offset: 0x939A, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x7AF48, symBinAddr: 0xC1B8, symSize: 0x0 }
  - { offsetInCU: 0x93B3, offset: 0x93B3, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x7AF50, symBinAddr: 0xC1C0, symSize: 0x0 }
  - { offsetInCU: 0x93CC, offset: 0x93CC, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x7AF58, symBinAddr: 0xC1C8, symSize: 0x0 }
  - { offsetInCU: 0x93E5, offset: 0x93E5, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x7AF60, symBinAddr: 0xC1D0, symSize: 0x0 }
  - { offsetInCU: 0x93FF, offset: 0x93FF, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x7AF68, symBinAddr: 0xC1D8, symSize: 0x0 }
  - { offsetInCU: 0x94E5, offset: 0x94E5, size: 0x8, addend: 0x0, symName: __ZL10eventCount, symObjAddr: 0x7AFB0, symBinAddr: 0xC1E0, symSize: 0x0 }
  - { offsetInCU: 0x950A, offset: 0x950A, size: 0x8, addend: 0x0, symName: __ZL12currentPhase, symObjAddr: 0x7B04C, symBinAddr: 0xC27C, symSize: 0x0 }
  - { offsetInCU: 0x9523, offset: 0x9523, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x7B050, symBinAddr: 0xC280, symSize: 0x0 }
  - { offsetInCU: 0x953C, offset: 0x953C, size: 0x8, addend: 0x0, symName: __ZL8syncLock, symObjAddr: 0x7B058, symBinAddr: 0xC288, symSize: 0x0 }
  - { offsetInCU: 0x9555, offset: 0x9555, size: 0x8, addend: 0x0, symName: __ZL16classLoaderCount, symObjAddr: 0x7B060, symBinAddr: 0xC290, symSize: 0x0 }
  - { offsetInCU: 0x956E, offset: 0x956E, size: 0x8, addend: 0x0, symName: __ZL7timeout, symObjAddr: 0x7B068, symBinAddr: 0xC298, symSize: 0x0 }
  - { offsetInCU: 0x9D4A, offset: 0x9D4A, size: 0x8, addend: 0x0, symName: __ZN12_GLOBAL__N_111JNIVerifierIP7_jclassED1Ev, symObjAddr: 0x100, symBinAddr: 0x1900, symSize: 0x220 }
  - { offsetInCU: 0xA0C5, offset: 0xA0C5, size: 0x8, addend: 0x0, symName: __ZN12_GLOBAL__N_111JNIVerifierIP7_jclassE17DecimalToAsciiRecEPci, symObjAddr: 0xE890, symBinAddr: 0x5E90, symSize: 0x50 }
  - { offsetInCU: 0xA25E, offset: 0xA25E, size: 0x8, addend: 0x0, symName: __ZN23ExceptionCheckingJniEnv14GetObjectClassEP8_jobjectiPKc, symObjAddr: 0x680, symBinAddr: 0x1B20, symSize: 0x110 }
  - { offsetInCU: 0xA508, offset: 0xA508, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x3750, symBinAddr: 0x1DE0, symSize: 0x80 }
  - { offsetInCU: 0xA59D, offset: 0xA59D, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x36A0, symBinAddr: 0x1D30, symSize: 0xB0 }
  - { offsetInCU: 0xA5F8, offset: 0xA5F8, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x3580, symBinAddr: 0x1C30, symSize: 0x100 }
  - { offsetInCU: 0xA88B, offset: 0xA88B, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x37D0, symBinAddr: 0x1E60, symSize: 0xC0 }
  - { offsetInCU: 0xA8DD, offset: 0xA8DD, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x3890, symBinAddr: 0x1F20, symSize: 0x220 }
  - { offsetInCU: 0xAAC2, offset: 0xAAC2, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x3AB0, symBinAddr: 0x2140, symSize: 0xA0 }
  - { offsetInCU: 0xAB75, offset: 0xAB75, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x3B70, symBinAddr: 0x21E0, symSize: 0x110 }
  - { offsetInCU: 0xAC6B, offset: 0xAC6B, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0x3D10, symBinAddr: 0x22F0, symSize: 0x150 }
  - { offsetInCU: 0xADE3, offset: 0xADE3, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x4A80, symBinAddr: 0x2440, symSize: 0x30 }
  - { offsetInCU: 0xAEA4, offset: 0xAEA4, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x4F10, symBinAddr: 0x2470, symSize: 0x150 }
  - { offsetInCU: 0xB09C, offset: 0xB09C, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x5060, symBinAddr: 0x25C0, symSize: 0x160 }
  - { offsetInCU: 0xB35C, offset: 0xB35C, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x54F0, symBinAddr: 0x2720, symSize: 0x4A0 }
  - { offsetInCU: 0xB5F5, offset: 0xB5F5, size: 0x8, addend: 0x0, symName: _nsk_jvmti_findOptionIntValue, symObjAddr: 0x5AB0, symBinAddr: 0x2BC0, symSize: 0xE0 }
  - { offsetInCU: 0xB6B5, offset: 0xB6B5, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x5C40, symBinAddr: 0x2CA0, symSize: 0x1B0 }
  - { offsetInCU: 0xB8D0, offset: 0xB8D0, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x5DF0, symBinAddr: 0x2E50, symSize: 0xA0 }
  - { offsetInCU: 0xB99F, offset: 0xB99F, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x6160, symBinAddr: 0x2EF0, symSize: 0x20 }
  - { offsetInCU: 0xB9D6, offset: 0xB9D6, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x6180, symBinAddr: 0x2F10, symSize: 0x20 }
  - { offsetInCU: 0xBA0D, offset: 0xBA0D, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x61A0, symBinAddr: 0x2F30, symSize: 0x20 }
  - { offsetInCU: 0xBB9C, offset: 0xBB9C, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x68B0, symBinAddr: 0x2F50, symSize: 0x1A0 }
  - { offsetInCU: 0xBEB8, offset: 0xBEB8, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x6A50, symBinAddr: 0x30F0, symSize: 0x130 }
  - { offsetInCU: 0xC068, offset: 0xC068, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resumeSync, symObjAddr: 0x6E70, symBinAddr: 0x3490, symSize: 0x1B0 }
  - { offsetInCU: 0xC357, offset: 0xC357, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x7020, symBinAddr: 0x3640, symSize: 0x80 }
  - { offsetInCU: 0xC421, offset: 0xC421, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x70A0, symBinAddr: 0x36C0, symSize: 0x6A0 }
  - { offsetInCU: 0xCF3D, offset: 0xCF3D, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xE460, symBinAddr: 0x5A60, symSize: 0xB0 }
  - { offsetInCU: 0xCFB4, offset: 0xCFB4, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x7740, symBinAddr: 0x3D60, symSize: 0x70 }
  - { offsetInCU: 0xD088, offset: 0xD088, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x8450, symBinAddr: 0x3DD0, symSize: 0xA0 }
  - { offsetInCU: 0xD193, offset: 0xD193, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x9280, symBinAddr: 0x3E70, symSize: 0x40 }
  - { offsetInCU: 0xD289, offset: 0xD289, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x92C0, symBinAddr: 0x3EB0, symSize: 0x2B0 }
  - { offsetInCU: 0xD62F, offset: 0xD62F, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x9570, symBinAddr: 0x4160, symSize: 0xC0 }
  - { offsetInCU: 0xD775, offset: 0xD775, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x9630, symBinAddr: 0x4220, symSize: 0x10 }
  - { offsetInCU: 0xD837, offset: 0xD837, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x9640, symBinAddr: 0x4230, symSize: 0x220 }
  - { offsetInCU: 0xDB34, offset: 0xDB34, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0xCE50, symBinAddr: 0x4450, symSize: 0x10 }
  - { offsetInCU: 0xDB91, offset: 0xDB91, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0xCE60, symBinAddr: 0x4460, symSize: 0x600 }
  - { offsetInCU: 0xE389, offset: 0xE389, size: 0x8, addend: 0x0, symName: __ZL11enableEvent14jvmtiEventMode10jvmtiEvent, symObjAddr: 0xE260, symBinAddr: 0x5860, symSize: 0xE0 }
  - { offsetInCU: 0xE49E, offset: 0xE49E, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0xD460, symBinAddr: 0x4A60, symSize: 0x10 }
  - { offsetInCU: 0xE537, offset: 0xE537, size: 0x8, addend: 0x0, symName: _classEventsHandler, symObjAddr: 0xD470, symBinAddr: 0x4A70, symSize: 0x340 }
  - { offsetInCU: 0xE936, offset: 0xE936, size: 0x8, addend: 0x0, symName: __ZL11changeCount10jvmtiEvent, symObjAddr: 0xD7B0, symBinAddr: 0x4DB0, symSize: 0x120 }
  - { offsetInCU: 0xEB92, offset: 0xEB92, size: 0x8, addend: 0x0, symName: _threadEventHandler, symObjAddr: 0xD8D0, symBinAddr: 0x4ED0, symSize: 0x360 }
  - { offsetInCU: 0xF0A1, offset: 0xF0A1, size: 0x8, addend: 0x0, symName: __ZN23ExceptionCheckingJniEnv10FatalErrorEP7JNIEnv_PKc, symObjAddr: 0xDC30, symBinAddr: 0x5230, symSize: 0x40 }
  - { offsetInCU: 0xF16E, offset: 0xF16E, size: 0x8, addend: 0x0, symName: _cbVMStart, symObjAddr: 0xDC70, symBinAddr: 0x5270, symSize: 0x100 }
  - { offsetInCU: 0xF2AE, offset: 0xF2AE, size: 0x8, addend: 0x0, symName: _cbVMInit, symObjAddr: 0xDD70, symBinAddr: 0x5370, symSize: 0x140 }
  - { offsetInCU: 0xF3DD, offset: 0xF3DD, size: 0x8, addend: 0x0, symName: _cbVMDeath, symObjAddr: 0xDEB0, symBinAddr: 0x54B0, symSize: 0x1B0 }
  - { offsetInCU: 0xF59A, offset: 0xF59A, size: 0x8, addend: 0x0, symName: _cbClassLoad, symObjAddr: 0xE060, symBinAddr: 0x5660, symSize: 0x20 }
  - { offsetInCU: 0xF605, offset: 0xF605, size: 0x8, addend: 0x0, symName: _cbClassPrepare, symObjAddr: 0xE080, symBinAddr: 0x5680, symSize: 0x20 }
  - { offsetInCU: 0xF674, offset: 0xF674, size: 0x8, addend: 0x0, symName: _cbThreadStart, symObjAddr: 0xE0A0, symBinAddr: 0x56A0, symSize: 0x20 }
  - { offsetInCU: 0xF6E4, offset: 0xF6E4, size: 0x8, addend: 0x0, symName: _cbThreadEnd, symObjAddr: 0xE0C0, symBinAddr: 0x56C0, symSize: 0x20 }
  - { offsetInCU: 0xF777, offset: 0xF777, size: 0x8, addend: 0x0, symName: _checkEvents, symObjAddr: 0xE0E0, symBinAddr: 0x56E0, symSize: 0x180 }
  - { offsetInCU: 0xF8CD, offset: 0xF8CD, size: 0x8, addend: 0x0, symName: __ZL9agentProcP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xE340, symBinAddr: 0x5940, symSize: 0x120 }
  - { offsetInCU: 0xFA28, offset: 0xFA28, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xE510, symBinAddr: 0x5B10, symSize: 0x370 }
...
